D-Bus 1.13.18

Data Fields
DBusMemBlock Struct Reference
D-Bus secret internal implementation details » Memory pool implementation details

DBusMemBlock object represents a single malloc()-returned block that gets chunked up into objects in the memory pool. More...

## Data Fields
DBusMemBlock * | next
| next block in the list, which is already used up; only saved so we can free all the blocks when we free the mem pool.
long | used_so_far
| bytes of this block already allocated as elements.
unsigned char | elements [ELEMENT_PADDING]
| the block data, actually allocated to required size

## Detailed Description

DBusMemBlock object represents a single malloc()-returned block that gets chunked up into objects in the memory pool.

Definition at line 84 of file dbus-mempool.c.

The documentation for this struct was generated from the following file:

- dbus-mempool.c